@name = "第三階層"
@bgm = :Dungeon2
@width = 40
@height = 60



in_region(:Entrance){
	treasure_level 4
	appearing_enemy 3, :BladeSkelton
	appearing_enemy 1, :BladeSkelton, :BladeSkelton
	
	set_stair(4, 2, DIR_N, 2, 24, 1, DIR_S)
	pset_route(4, 2, 9, 2); pset_route(9, 1); pset_route(11, 1); set_door(11, 1, DIR_E)
	pset_route(12, 1, 14, 1); pset_route(14, 2); pset_route(19, 2)
	set_wall(19, 2, DIR_N, Area::EXIT_DOOR)
	
	# メインセクション
	set_locked_door(10, 1, DIR_S, '3f_entrance1', :KeyOfGraveKeeper)
	set_locked_door(13, 1, DIR_S, '3f_entrance2', :KeyOfGraveKeeper)
	set_route(10, 2, 4, 2)
	set_door(11, 3, DIR_S); pset_route(11, 4, 11, 6); set_door(11, 6, DIR_S)
	set_door(12, 3, DIR_S); pset_route(12, 4, 12, 6); set_door(12, 6, DIR_S)

	# => 西側ルート	
	set_room(9, 7, 3, 2); set_room(7, 8, 3, 2)


	#   => 西の小部屋
	set_door(7, 8, DIR_W); pset_route(6, 8, 4, 8); pset_route(4, 11)
	set_room(4, 7, 1, 1, TRT::ITEM, :very_little);  set_room(5, 7, 1, 1);  set_room(3, 8, 1, 1);  set_room(3, 9, 1, 1)
	set_door(4, 7, DIR_S); set_door(5, 7, DIR_S); set_door(3, 8, DIR_E); set_door(3, 9, DIR_E)
	set_room(3, 12, 2, 2); set_door(4, 12, DIR_N)
	
	#   => 南の通路
	set_door(8, 9, DIR_S); pset_route(8, 10, 8, 15); pset_route(6, 15)
	set_door(6, 15, DIR_S); set_room(5, 16, 3, 3); set_door(6, 18, DIR_S)
	pset_route(6, 19, 6, 20); pset_route(5, 21); pset_route(5, 22)

}

